---
title: <font-face>
slug: Web/SVG/Element/font-face
tags:
  - Deprecated
  - Element
  - NeedsBrowserCompatibility
  - NeedsExample
  - NeedsMobileBrowserCompatibility
  - Reference
  - SVG
  - SVG Font
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <strong><code>&lt;font-face&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element corresponds to the CSS {{cssxref("@font-face")}} rule. It defines a font's outer properties.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("font-family")}}</li>
 <li>{{SVGAttr("font-style")}}</li>
 <li>{{SVGAttr("font-variant")}}</li>
 <li>{{SVGAttr("font-weight")}}</li>
 <li>{{SVGAttr("font-stretch")}}</li>
 <li>{{SVGAttr("font-size")}}</li>
 <li>{{SVGAttr("unicode-range")}}</li>
 <li>{{SVGAttr("units-per-em")}}</li>
 <li>{{SVGAttr("panose-1")}}</li>
 <li>{{SVGAttr("stemv")}}</li>
 <li>{{SVGAttr("stemh")}}</li>
 <li>{{SVGAttr("slope")}}</li>
 <li>{{SVGAttr("cap-height")}}</li>
 <li>{{SVGAttr("x-height")}}</li>
 <li>{{SVGAttr("accent-height")}}</li>
 <li>{{SVGAttr("ascent")}}</li>
 <li>{{SVGAttr("descent")}}</li>
 <li>{{SVGAttr("widths")}}</li>
 <li>{{SVGAttr("bbox")}}</li>
 <li>{{SVGAttr("ideographic")}}</li>
 <li>{{SVGAttr("alphabetic")}}</li>
 <li>{{SVGAttr("mathematical")}}</li>
 <li>{{SVGAttr("hanging")}}</li>
 <li>{{SVGAttr("v-ideographic")}}</li>
 <li>{{SVGAttr("v-alphabetic")}}</li>
 <li>{{SVGAttr("v-mathematical")}}</li>
 <li>{{SVGAttr("v-hanging")}}</li>
 <li>{{SVGAttr("underline-position")}}</li>
 <li>{{SVGAttr("underline-thickness")}}</li>
 <li>{{SVGAttr("strikethrough-position")}}</li>
 <li>{{SVGAttr("strikethrough-thickness")}}</li>
 <li>{{SVGAttr("overline-position")}}</li>
 <li>{{SVGAttr("overline-thickness")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGFontFaceElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontFaceElement", "&lt;font-face&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.font-face")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("font")}}</li>
 <li>{{SVGElement("font-face-src")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/SVG_fonts">SVG tutorial: SVG fonts</a></li>
</ul>
